import * as signalR from '@microsoft/signalr';

class GameConnection{
  public connection: signalR.HubConnection
  constructor(playerName: string, joinCode: number | undefined) {
    this.connection = new signalR.HubConnectionBuilder()
      .withUrl("/api/gamehub")
      .withAutomaticReconnect()
      .build();
  }
}

export default GameConnection;